tagtraum industries: SIXBS - Simple XML Bean Serialization: Class AdapterFinder

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tagtraum.sixbs
Class AdapterFinder

    java.lang.Object
      |
      +--com.tagtraum.sixbs.AdapterFinder

public class AdapterFinder
extends Object

Searches for Adapater classes. First the same package as the class's is checked. Then the package searchpath is searched.

Version:
  $Id: AdapterFinder.java,v 1.1 2001/05/06 14:55:01 Hendrik Exp $
Author:
  Hendrik Schreiber
See Also:
  `Adapter`

Field Summary
`static String` | `vcid` Source-Version

Constructor Summary
`AdapterFinder()`

Method Summary
`protected void` | `addDefaultPackages()` Is called by the constructor and adds `com.tagtraum.sixbs.adapters.util`.
`void` | `addPackage(Package pakkage)` Adds a package to the searchpath.
`void` | `addPackage(String pakkage)` Adds a package to the searchpath.
`Class` | `find(Class klass)` Returns an Adapter class for the given class or null if none is found.
`Class` | `find(Object object)` Returns an Adapter class for the given object or null if none is found.
`static AdapterFinder` | `getDefaultAdapterFinder()` Returns default AdapterFinder.
`Enumeration` | `packages()` Enumeration of all package in the searchpath.
`void` | `removePackage(Package pakkage)` Removes a package from the searchpath.
`void` | `removePackage(String pakkage)` Removes a package from the searchpath.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### vcid

    public static String vcid

  Source-Version

Constructor Detail

### AdapterFinder

    public AdapterFinder()

Method Detail

### addDefaultPackages

    protected void addDefaultPackages()

  Is called by the constructor and adds `com.tagtraum.sixbs.adapters.util`.

### addPackage

    public void addPackage(Package pakkage)

  Adds a package to the searchpath. Type-safe adding of packages to the searchpath. Note that package objects are not necessarily available.
  See Also:
    `Package.getPackage(String)`, `addPackage(String)`

### removePackage

    public void removePackage(Package pakkage)

  Removes a package from the searchpath. Type-safe removing of packages to the searchpath. Note that package objects are not necessarily available.
  See Also:
    `Package.getPackage(String)`, `removePackage(String)`

### addPackage

    public void addPackage(String pakkage)

  Adds a package to the searchpath.

### removePackage

    public void removePackage(String pakkage)

  Removes a package from the searchpath.

### packages

    public Enumeration packages()

  Enumeration of all package in the searchpath.

### getDefaultAdapterFinder

    public static AdapterFinder getDefaultAdapterFinder()

  Returns default AdapterFinder.

### find

    public Class find(Object object)

  Returns an Adapter class for the given object or null if none is found.

### find

    public Class find(Class klass)

  Returns an Adapter class for the given class or null if none is found.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 tagtraum industries.